Modifying payment allocation plans

PATCHing payment allocation plans

Use the following endpoint to PATCH an existing payment allocation plan:

  • PATCH /admin/v1/payment-allocation-plans/{paymentAllocationPlanId}

When a payment allocation plan is assigned to at least one account, BillingCenter considers the plan to be in use.

When a plan is not in use:

  • Its inUse field is set to false.
  • The entire plan can be modified.

When a plan is in use:

  • Its inUse field is set to true.
  • Through Cloud API, only expirationDate and planOrder can be modified.

For example, the following changes payment allocation plan bc:5665 so that the effective date is March 3, 2020.

  • If the plan is not in use, the PATCH is successful.
  • If the plan is in use, the PATCH fails because it specifies a value that is not expirationDate.
PATCH /admin/v1/payment-allocation-plans/bc:5665

{
  "data": {
    "attributes": {
        "effectiveDate": "2020-03-03",
    }
  }
}

distributionCriteria and invoiceItemOrderings are both arrays. Keep in mind that, within Cloud API, PATCHing an array does not add new members to the existing members. It replaces the existing members with the new members.

If you want to add new distribution criteria or new invoice item ordering criteria to an existing payment allocation plan, you must first determine the existing criteria, and then specify an array with those criteria and the ones you wish to add. In the case of invoiceItemOrderings, you must also list old and new criteria in the desired order.

DELETEing payment allocation plans

Use the following endpoint to DELETE an existing payment allocation plan:

  • DELETE /admin/v1/payment-allocation-plans/{paymentAllocationPlanId}

When a delinquency plan is assigned to at least one account, BillingCenter considers the plan to be in use. When a plan is in use, it cannot be deleted.

For example, the following deletes delinquency plan bc:5665 (assuming that it is not in use).

DELETE /admin/v1/delinquency-plans/bc:5665

<no request body>